aboutsummaryrefslogtreecommitdiff
path: root/devel/pear-PHPUnit/files/pear-install.in
diff options
context:
space:
mode:
Diffstat (limited to 'devel/pear-PHPUnit/files/pear-install.in')
-rw-r--r--devel/pear-PHPUnit/files/pear-install.in19
1 files changed, 19 insertions, 0 deletions
diff --git a/devel/pear-PHPUnit/files/pear-install.in b/devel/pear-PHPUnit/files/pear-install.in
new file mode 100644
index 000000000000..2ec01250b2f3
--- /dev/null
+++ b/devel/pear-PHPUnit/files/pear-install.in
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+# Register the package $1 in the port registry and optionally add a
+# non-standard channel.
+
+PREFIX=${PKG_PREFIX:=%%PREFIX%%}
+PEAR=${PREFIX}/bin/pear
+PKGREGDIR=${PREFIX}/share/pear/packages/$1
+CHANNEL=%%CHANNEL%%
+
+[ "x$1" = "x" ] && exit 1
+if [ "x$2" = "xPOST-INSTALL" ]; then
+ if [ "x${CHANNEL}" != "x" ]; then
+ ${PEAR} channel-add http://${CHANNEL}/channel.xml
+ fi
+ ${PEAR} install -r -n -f ${PKGREGDIR}/package.xml
+fi